/*
 *  Raamattu - a simple Bible reader
 *  Copyright (C) 2011  Xizhi Zhu <xizhi.zhu@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef BIBLETEXTMODEL_H
#define BIBLETEXTMODEL_H

#include <QtGui/qstringlistmodel.h>

class BibleTextModel : public QStringListModel
{
    Q_OBJECT

public:
    BibleTextModel(QObject *parent = 0);

    Q_INVOKABLE void setBibleText(int book, int chapter);
    Q_INVOKABLE void setBibleTranslation(const QString &translation);

private:
    QString translation;
};

#endif // BIBLETEXTMODEL_H
